Bug 456780 - ksystraycmd crashes
ksystraycmd crashes
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-26 20:54 EDT by Reindl Harald
Modified: 2009-02-15 13:52 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-06 12:21:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (86.85 KB, image/png)
2009-02-15 09:17 EST, Reindl Harald
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 170519 None None None Never

  None (edit)
Description Reindl Harald 2008-07-26 20:54:35 EDT
In the last builds from koji "ksystraycmd" still crashs
This is bad because "alltray" does not work correctly with oxygen-theme
(https://bugzilla.redhat.com/show_bug.cgi?id=455855) and so there is no way to
get applications in the systray if you need them running the whole day
Comment 1 Rex Dieter 2008-07-26 21:41:56 EDT
*still* crashes, was this reported before?

Could you provide steps to reproduce please?
Comment 2 Reindl Harald 2008-07-27 06:25:20 EDT
No it was not reported because i thougt im not the only person who uses this,
the bug himself exists on my F9 x86_64 since kde 4.0.x

Reproduce: 
Type simply "ksystraycmd thunderbird" and you get an error-message about the crash

It took some time to realize that ksystraycmd is the killer because i have many
menu-entrys set for minimize in tray (an missing option in kde4)
Comment 3 Rex Dieter 2008-07-27 14:06:52 EDT
confirmed, thx.  Next step is to report upstream @ bugs.kde.org (or find if
already reported).
Comment 4 Steven M. Parrish 2008-09-28 18:46:51 EDT
Thanks for the report.  I checked upstream and could not find a matching bug.Please file a bug report in the the upstream bugzilla located at http://bugs.kde.org for the particular component involved.

Once you've filed your bug report to the upstream bugzilla, please add the upstream info to this report. We will continue to track the issue in the centralized upstream bug tracker, and will review any bug fixes that become available for consideration in future updates.

Setting status to NEEDINFO, and awaiting upstream bug report URL for tracking.

Thanks in advance.
Comment 5 Steven M. Parrish 2009-02-06 12:21:47 EST
The information we've requested above is required in order to review this problem report further and diagnose or fix the issue if it is still present.  Since it has been thirty days or more since we first requested additional information, we're assuming the problem is either no longer present in the current Fedora release, or that there is no longer any interest in tracking the problem.

Setting status to "CLOSED: INSUFFICIENT_DATA".  If you still experience this problem after updating to our latest Fedora release and can provide the information previously requested, please feel free to reopen the bug report.

Thank you in advance.
Comment 6 Reindl Harald 2009-02-15 09:17:41 EST
Created attachment 331970 [details]
Screenshot 

Sorry but i do not see making bugreports on every project-package, i think it would be better to make this as central as possible instead splitting and hoping all reports somewhere in the future will come back to all distributions.

Can nobody reprodcue this?
Or is there another way in KDE4 to get a application in the tray without alltray long after the start?
Comment 7 Kevin Kofler 2009-02-15 13:01:12 EST
> Sorry but i do not see making bugreports on every project-package, i think it
> would be better to make this as central as possible

That's the whole point why you have to file the bug in the upstream KDE bug tracker. It makes no sense to have this same bug tracked in every single distribution, it's a bug in KDE, not Fedora's fault at all.

Please report your bug at: https://bugs.kde.org

> hoping all reports somewhere in the future will come back to all distributions.

They won't, it's upstream's job to fix this bug, not the distributions'.
Comment 8 Kevin Kofler 2009-02-15 13:06:32 EST
Nevermind, it looks like other people were less uncooperative than you. This appears to be:
https://bugs.kde.org/show_bug.cgi?id=170519
Any followups should go to the upstream bug report.
Comment 9 Reindl Harald 2009-02-15 13:42:50 EST
> Nevermind, it looks like other people were less uncooperative than you

Uncooperative?
Have a look at my bugreports in the last years!

The point is that i'm not able to register on every upstream-package-bugzilla and have a look at every mailing-list in the world, and yes this wozld be the summary if i start with kde!

Where ist the end?
kernel, smartd, single-applications from kde, openoffice?
You understand what i mean?

Here are maintainers for few packages, everyone reads the mailing.lists and bugreports of HIS package - So he gets bugreports from HIS package - At the other side i should fill and check bugreports of EACH package in fedora which makes troubles? NO! My day has only 24 hours!
Comment 10 Kevin Kofler 2009-02-15 13:52:50 EST
Fedora bug reports go to the Fedora packagers, not to the upstream developers. For some packages, they are the same people, for KDE they aren't. So if you report the bug only here, it will never reach the people most likely to be able to fix it.

It is your responsibility as the reporter to report bugs upstream when asked. Otherwise, don't complain if the report gets closed INSUFFICIENT_DATA and never fixed.

Note You need to log in before you can comment on or make changes to this bug.